
clear
L1 = input('Enter length of connecting rod (inch): ');
L2 = input('Enter length of crankshaft arm (inch): ');
thetaMax = input('Enter maximum simulation angle (radians): ');
numPoints = 100; % graphing parameter
theta = [0.0 : thetaMax/(numPoints-1) : thetaMax];  % theta vector
phi = asin((L2/L1)*sin(theta));                     % auxiliary angle
d = L1*cos(phi) + L2*cos(theta);                    % piston position
thetaD = (180./pi)*theta;
plot(thetaD, d);
Title('Piston position vs Crankshaft Angle - g.m.dick');
xlabel('Crankshaft angle (degrees)');
ylabel('Piston position (inches)');
disp('Locate comment on graph with crosshairs.');
gtext(['d = ', num2str(L1+L2), '(inches) is top dead center']);


